Subject: Re: bug#70348: [PATCH] Make preview placement more flexible

From: Arash Esbati <[email-masked]>
Date: Thu, 18 Apr 2024 00:26:42 +0200

Paul Nelson <[email-masked]> writes:

>> Sorry about that, I was sloppy in splitting up a commit.  The fix is:
>
> In more detail, the "fix" is contained in the patch I submitted later
> at #70442, and the issue arose when I split some commit into this
> patch and that one.  One way to proceed would be to squash those two
> patches, if the latter looks OK.

If you don't mind, I install this small change to fix the issue at hand:

--8<---------------cut here---------------start------------->8---
diff --git a/preview.el.in b/preview.el.in
index 5625d9c0..925ea3eb 100644
--- a/preview.el.in
+++ b/preview.el.in
@@ -3619,7 +3619,7 @@ name(\\([^)]+\\))\\)\\|\
                                            tempdir
                                            (cdr open-data)))
                                      (ov (car ovl)))
-                                (setq close-data (nconc ovl close-data))
+                                (setq close-data (nconc ovl close-data)))
                             (with-current-buffer run-buffer
                               (preview-log-error
                                (list 'error
--8<---------------cut here---------------end--------------->8---

and we can the go on and discuss the other patches.  It will probably
produce a little work at your end, but I hope you bear with me.  Ok?

Best, Arash